Next Previous Up Contents
Next: Messages Received
Up: Tool Interoperability
Previous: PLASTIC control

### 9.3 Messages Transmitted

This section describes the messages which TOPCAT can transmit to other tools which understand the SAMP protocol, and how to cause them to be sent.

In most cases you can choose two ways to transmit a message from TOPCAT:

Broadcast
  Broadcasts the message to all other applications currently registered with the hub which understand that message.
Send
  Sends the message to a single application which you select. The suitable applications (ones which are registered with the hub and claim to understand that message) are listed and you can choose one.

Examining the list of applications in the Send menu gives you an indication of which ones a Broadcast would broadcast to. Note however that just because an application appears in this list doesn't necessarily mean it will do something substantial with the message, for instance some applications register with the hub just to monitor traffic. In general the Broadcast and Send actions will be disabled (greyed-out) if TOPCAT is not registered with a hub, or if there are no applications listening which claim to support the relevant message.

Below is a list of places you can cause TOPCAT to transmit messages. The SAMP MTypes message IDs are listed along with the descriptions; unless you are a tool developer you can probably ignore these.

Transmit Table
  The Control Window's Interop menu provides Broadcast Table and Send Table options which cause the currently selected table to be transmitted to other listening applications. They are invited to load the table in its current ("apparent") form. The Broadcast action is also available in the toolbar.

  The Send VOTable activation action also sends this message (SAMP only).

  SAMP MTypes: `table.load.votable` or `table.load.fits`

Transmit Subset
  The Subset Window's Interop menu contains Broadcast Subset and Send Subset options. These cause the selected subset to be sent to other listening applications (these actions are only available when one of the subsets is currently selected). Applications are invited to highlight the rows corresponding to that subset. Note this will only have an effect if the other application(s) are displaying the table that this subset relates to. This will be the case in one of two situations: (1) the table has been loaded from the same URL/filename by the other tool(s) or (2) the other tool(s) have acquired the table because it has already been broadcast using SAMP.

  Also, whenever a new subset is created, for instance by entering an algebraic expression or tracing out a region on a plot (see Section 3.1.1), you have the option of transmitting the subset directly to one or all listening applications as an alternative to adding the new subset to the table's subset list.

  SAMP MType: `table.select.rowList`

Transmit Row
  The Send Row Index activation action will send the row index of the activated row to other applications (SAMP only). As for Transmit Subset above, this will only have an effect if the other application(s) are displaying the same table.

  SAMP MType: `table.highlight.row`

Transmit Coordinates
  The Send Sky Coordinates activation action will send the sky position of the activated row to other applications (SAMP only). These other applications are invited to point out that sky position, for instance by placing a marker or centering the current window on it.

  SAMP MType: `coord.pointAt.sky`

Transmit Image
  The Send FITS Image and Send HiPS Cutout activation actions can send a URL representing a FITS image to a suitable image analysis application for loading or display.

  The (old-style, somewhat deprecated) Density Plot window also produces a 2-d histogram which is actually an image, and this can be sent to image applications from its Interop menu.

  SAMP MType: `image.load.fits`

Transmit Spectrum
  The Send Spectrum activation action can send the contents of a nominated URL column to a suitable spectrum analysis application for loading or display.

  SAMP MType: `spectrum.load.ssa-generic`

Transmit Resource List
  The Registry Query Panel present in most of the Virtual Observatory windows allows you to send lists of VO registry resource identifiers to other applications which can make use of them.

  SAMP MTypes: `voresource.loadlist.cone`, `voresource.loadlist.siap`, `voresource.loadlist.ssap`

Next Previous Up Contents
Next: Messages Received
Up: Tool Interoperability
Previous: PLASTIC control

TOPCAT - Tool for OPerations on Catalogues And Tables
Starlink User Note253
TOPCAT web page: http://www.starlink.ac.uk/topcat/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk